This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493379 - (CVE-2009-0196) CVE-2009-0196 ghostscript: Missing boundary check in Ghostscript's jbig2dec library
CVE-2009-0196 ghostscript: Missing boundary check in Ghostscript's jbig2dec l...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090326,public=20090408,sou...
: Security
Depends On: 491857 491858 495915 495916 495917
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:45 EDT by Jan Lieskovsky
Modified: 2012-02-14 08:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-14 08:55:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch from Ralph Giles (1.83 KB, patch)
2009-04-02 04:30 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-04-01 11:45:37 EDT
A missing boundary check flaw was found in the Ghostscript's JBIG2 decoding library. An attacker could create a specially-crafted PDF file which could
cause Ghostscript to crash, or, potentially execute arbitrary code, when
opened by the victim.

Acknowledgements:

Red Hat would like to thank Alin Rad Pop of Secunia Research for
responsibly reporting this flaw.
Comment 3 Tomas Hoger 2009-04-01 12:15:47 EDT
This issue was reported by Alin Rad Pop, Secunia Research.
Comment 4 Tomas Hoger 2009-04-02 04:30:54 EDT
Created attachment 337747 [details]
Upstream patch from Ralph Giles
Comment 7 Tomas Hoger 2009-04-10 15:17:38 EDT
Secunia advisory:
  http://secunia.com/secunia_research/2009-21/
Comment 9 errata-xmlrpc 2009-04-14 13:54:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0421 https://rhn.redhat.com/errata/RHSA-2009-0421.html
Comment 12 Fedora Update System 2009-04-15 13:11:14 EDT
ghostscript-8.63-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ghostscript-8.63-3.fc9
Comment 13 Fedora Update System 2009-04-15 17:49:33 EDT
ghostscript-8.63-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-04-15 17:50:06 EDT
ghostscript-8.63-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.